petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMNetworkMonitorAdd

Adds a new viewer to monitor

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkMonitorAdd(DMNetworkMonitor monitor,const char *name,PetscInt element,PetscInt nodes,PetscInt start,PetscInt blocksize,PetscReal ymin,PetscReal ymax,PetscBool hold)

Collective on DMNetworkMonitor Many br

### Input Parameters

| monitor | - the monitor Many br
| name | - name of viewer Many br
| element | - vertex / edge number Many br
| nodes | - number of nodes Many br
| start | - variable starting offset Many br
| blocksize | - variable blocksize Many br
| ymin | - ymin for viewer Many br
| ymax | - ymax for viewer Many br
| hold | - determines if plot limits should be held Many br

Many br

### Notes

This is written to be independent of the semantics associated to the variables Many brat a given network vertex / edge. Many br

Precisely, the parameters nodes, start and blocksize allow you to select a general Many brstrided subarray of the variables to monitor. Many br

### See Also

DMNetworkMonitorCreate(), DMNetworkMonitorDestroy()

Level:intermediate
Location:src/dm/impls/network/networkmonitor.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages